Notebooks

Create Notebook

POST
/v0/projects/{idOrSlug}/notebooks

Authorization

apiKeyAuth
headerx-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

Path Parameters

idOrSlug*string

Request Body

application/json
  1. body
name?|null
content?unknown|null
folderId?string|null|null

Response Body

NotebookSummary

application/json
  1. response
id*string
projectId*string
name*string
excerpt*string
folderId*string|null
createdBy*string|null
updatedBy*string|null
createdAt*string
updatedAt*string
Example Request
curl -X POST 'https://api.faststats.dev/v0/projects/string/notebooks' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "projectId": "string",  "name": "string",  "excerpt": "string",  "folderId": "string",  "createdBy": "string",  "updatedBy": "string",  "createdAt": "string",  "updatedAt": "string"}